RubyGems Navigation menu

moumar-wmainfo-rb 0.8

:: wmainfo-rb :: Author: Darren Kirby mailto:bulliver@badcomputer.org License: Ruby = Quick API docs = == Initializing == require 'wmainfo' foo = WmaInfo.new("someSong.wma") ... or ... foo = WmaInfo.new("someVideo.wmv", :encoding=>"UTF-16LE") (default encoding is ASCII) ... or ... foo = WmaInfo.new("someVideo.wmv", :debug=>1) == Public attributes == @drm :: 'true' if DRM present else 'false' @tags :: dict of strings (id3 like data) @info :: dict of variable types (non-id3 like data) @ext_info :: dict of variable types (non-id3 like data) from ASF_Extended_Content_Description_Object @headerObject :: dict of arrays (name, GUID, size and offset of ASF objects) @stream :: dict of variable types (stream properties data) == Public methods == print_objects :: pretty-print header objects hasdrm? :: returns True if file has DRM hastag?('str') :: returns True if @tags['str'] exists print_tags :: pretty-print @tags dict hasinfo?('str') :: returns True if @info['str'] exists print_info :: pretty-print @info dict print_stream :: pretty-print @stream dict For more/different documentation see http://badcomputer.org/unix/code/wmainfo/ == Thanks/Contributors == Ilmari Heikkinen sent in a fix for uninitialized '@ext_info'. Guillaume Pierronnet sent in a patch which improves character encoding handling.

Gemfile
          gem 'moumar-wmainfo-rb', '~> 0.8'
  
  
  
  
  
  
  

install
          gem install moumar-wmainfo-rb
  
  
  
  
  
  
  

Authors:

  • Darren Kirby

Owners:

Total downloads 3,939

For this version 2,574

Required Ruby Version: None

Links:

Versions:

  1. 0.8 - December 8, 2012 (9.5 KB)
  2. 0.7 - April 2, 2012 (9.5 KB)